import { ActivatedRoute, Router } from '@angular/router';
import { ApplicationService } from '@core/application';
import { BreadcrumbService } from '@core/breadcrumb';
import { Config } from '@core/config';
import { createComponentFactory, Spectator } from '@ngneat/spectator';

import { RemissionComponent } from './remission.component';

describe('RemissionComponent', () => {
  let spectator: Spectator<RemissionComponent>;
  const createComponent = createComponentFactory({
    component: RemissionComponent,
    mocks: [BreadcrumbService, Config, ActivatedRoute, ApplicationService, Router],
  });

  beforeEach(() => {
    spectator = createComponent();
  });

  it('should create', () => {
    expect(spectator.component).toBeTruthy();
  });
});
